Index: packages.ent
===================================================================
--- packages.ent	(revision b2c61c650037db33984a38f3e432c88ca9597bb5)
+++ packages.ent	(revision be00729fbf58a1049d1de56401721153cb44b7cf)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "1.7 SBU">
 
-<!ENTITY bc-version "1.07.1">
-<!ENTITY bc-size "411 KB">
-<!ENTITY bc-url "&gnu;bc/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "cda93857418655ea43590736fc3ca9fc">
+<!ENTITY bc-version "2.1.1">
+<!ENTITY bc-size "232 KB">
+<!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
+<!ENTITY bc-md5 "fb06d134d0db261a5ca42eb67fcbd42d">
 <!ENTITY bc-home "&gnu-software;bc/">
 <!ENTITY bc-ch6-du "4.1 MB">
@@ -63,6 +63,5 @@
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
 <!ENTITY binutils-md5 "0d174cdaf85721c5723bf52355be41e6">
-<!ENTITY binutils-home "&gnu-software;binutils/">
-<!ENTITY binutils-ch5p1-du "580 MB">
+<!ENTITY binutils-home "&gnu-software;binutils/"><!ENTITY binutils-ch5p1-du "580 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
 <!ENTITY binutils-ch5p2-du "598 MB">
@@ -81,8 +80,8 @@
 <!ENTITY bison-ch6-sbu "0.3 SBU">
 
-<!ENTITY bzip2-version "1.0.7">
-<!ENTITY bzip2-size "791 KB">
+<!ENTITY bzip2-version "1.0.8">
+<!ENTITY bzip2-size "792 KB">
 <!ENTITY bzip2-url "https://www.sourceware.org/pub/bzip2/bzip2-&bzip2-version;.tar.gz">
-<!ENTITY bzip2-md5 "1a6a61cc867be4f3d6549037a09bf13e">
+<!ENTITY bzip2-md5 "67e051268d0c475ea773822f7500d0e5">
 <!--<!ENTITY bzip2-home "http://www.bzip.org/">-->
 <!ENTITY bzip2-ch5-du "5.5 MB">
@@ -145,8 +144,8 @@
 <!ENTITY diffutils-ch6-sbu "0.3 SBU">
 
-<!ENTITY e2fsprogs-version "1.45.2">
-<!ENTITY e2fsprogs-size "7,735 KB">
+<!ENTITY e2fsprogs-version "1.45.3">
+<!ENTITY e2fsprogs-size "7,741 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "45933b29a045735c2d5a2b29ce3f4480">
+<!ENTITY e2fsprogs-md5 "447a225c05f0a81121f6ddffbf55b06c">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "96 MB">
@@ -308,8 +307,8 @@
 <!ENTITY groff-ch6-sbu "0.4 SBU">
 
-<!ENTITY grub-version "2.02">
-<!ENTITY grub-size "5,970 KB">
+<!ENTITY grub-version "2.04">
+<!ENTITY grub-size "6,245 KB">
 <!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
-<!ENTITY grub-md5 "8a4a2a95aac551fb0fba860ceabfa1d3">
+<!ENTITY grub-md5 "5aaca6713b47ca2456d8324a58755ac7">
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-ch6-du "147 MB">
@@ -350,8 +349,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.1.0">
-<!ENTITY iproute2-size "706 KB">
+<!ENTITY iproute2-version "5.2.0">
+<!ENTITY iproute2-size "713 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "a2b8349abf4ae00e92155fda22de4d5e">
+<!ENTITY iproute2-md5 "0cb2736e7bc2f56254a363d3d23703b7">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -366,8 +365,8 @@
 <!ENTITY isl-ch6-sbu "0.1 SBU">
 
-<!ENTITY kbd-version "2.0.4">
-<!ENTITY kbd-size "1,008 KB">
+<!ENTITY kbd-version "2.1.0">
+<!ENTITY kbd-size "1,089 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "c1635a5a83b63aca7f97a3eab39ebaa6">
+<!ENTITY kbd-md5 "8af96ca067ddca1a950c25a24b9ca245">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "30 MB">
@@ -431,11 +430,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "15">
+<!ENTITY linux-minor-version "2">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,784 KB">
+<!ENTITY linux-size "104,530 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "373a50ac09f662469fe1c699b2cb2520">
+<!ENTITY linux-md5 "be9f3e8e40b97616b5d31e414c7bec24">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -494,8 +493,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.51.0">
-<!ENTITY meson-size "1,416 KB">
+<!ENTITY meson-version "0.51.1">
+<!ENTITY meson-size "1,418 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "a091995861e0bc23e3c856b0c8d1ef90">
+<!ENTITY meson-md5 "48787e391ec5c052799a3dd491f73909">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "24 MB">
@@ -591,9 +590,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.7.3">
+<!ENTITY python-version "3.7.4">
 <!ENTITY python-minor "3.7">
-<!ENTITY python-size "16,708 KB">
+<!ENTITY python-size "16,730 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "93df27aec0cd18d6d42173e601ffbbfd">
+<!ENTITY python-md5 "d33e4aae66097051c2eca45ee3604803">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch5-du "371 MB">
@@ -602,6 +601,6 @@
 <!ENTITY python-ch6-sbu "1.0 SBU">
 <!ENTITY python-docs-url "https://docs.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "48ed2b9e97e83f4d0966f305b8e04aa4">
-<!ENTITY python-docs-size "6,079 KB">
+<!ENTITY python-docs-md5 "c410337e954dbba2d04fe169c355a6a2">
+<!ENTITY python-docs-size "6,068 KB">
 
 <!ENTITY readline-version "8.0">
@@ -692,8 +691,8 @@
 <!ENTITY texinfo-ch6-sbu "0.9 SBU">
 
-<!ENTITY tzdata-version "2019a">
-<!ENTITY tzdata-size "371 KB">
+<!ENTITY tzdata-version "2019b">
+<!ENTITY tzdata-size "376 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "288f7b1e43018c633da108f13b27cf91">
+<!ENTITY tzdata-md5 "b26b5d7d844cb96c73ed2fb6d588daaf">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
